Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.emory.mathcs.util.collections.longs
Class AbstractLongInterval.ConstrainedView

    java.lang.Object
      edu.emory.mathcs.util.collections.longs.AbstractLongCollection
          edu.emory.mathcs.util.collections.longs.AbstractLongSet
              edu.emory.mathcs.util.collections.longs.AbstractLongSortedSet
                  edu.emory.mathcs.util.collections.longs.AbstractLongInterval
                      edu.emory.mathcs.util.collections.longs.AbstractLongInterval.ConstrainedView

All Implemented Interfaces:
  LongCollection, LongInterval, LongSet, LongSortedSet

Enclosing class:
  AbstractLongInterval

protected static class AbstractLongInterval.ConstrainedView
extends AbstractLongInterval

Nested Class Summary

Nested classes inherited from class edu.emory.mathcs.util.collections.longs.AbstractLongInterval
`AbstractLongInterval.ComplementView, AbstractLongInterval.ConstrainedView, AbstractLongInterval.SimpleIntervalItemIterator, AbstractLongInterval.SimpleReverseIntervalItemIterator`

Nested classes inherited from class edu.emory.mathcs.util.collections.longs.AbstractLongSortedSet
`AbstractLongSortedSet.AbstractComplementSubView, AbstractLongSortedSet.AbstractSubView, AbstractLongSortedSet.ForwardIntervalItemIterator, AbstractLongSortedSet.ReverseIntervalItemIterator`

Method Summary
`LongSet` | `complementSet()` Returns a complement view of this set.
`protected long` | `getFirst()`
`protected long` | `getLast()`
`long` | `max()` The largest number that can be stored in this set.
`long` | `min()` The smallest number that can be stored in this set.
`LongSortedSet` | `subSet(long first, long last)` A subset view containing all elements from this set between first, inclusive, and last, inclusive.

Methods inherited from class edu.emory.mathcs.util.collections.longs.AbstractLongInterval
`addInterval, ceiling, ceilingInterval, clear, contains, containsInterval, descendingIntervalIterator, descendingIterator, enclosingInterval, first, firstInterval, floor, floorInterval, higher, higherInterval, intervalCount, intervalIterator, isEmpty, iterator, last, lastInterval, lower, lowerInterval, pollFirst, pollFirstInterval, pollLast, pollLastInterval, removeInterval, retainInterval, size64, toString`

Methods inherited from class edu.emory.mathcs.util.collections.longs.AbstractLongSortedSet
`headSet, retainAll, tailSet, toCompactString`

Methods inherited from class edu.emory.mathcs.util.collections.longs.AbstractLongSet
`addAll, equals, hashCode, removeAll`

Methods inherited from class edu.emory.mathcs.util.collections.longs.AbstractLongCollection
`add, containsAll, remove, size, toArray, toArray`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface edu.emory.mathcs.util.collections.longs.LongSortedSet
`headSet, tailSet, toCompactString`

Methods inherited from interface edu.emory.mathcs.util.collections.longs.LongSet
`add, addAll, containsAll, equals, hashCode, remove, removeAll, retainAll, size, toArray, toArray`

Method Detail

### getFirst

    protected long getFirst()

  Specified by:
    `getFirst` in class `AbstractLongInterval`

### getLast

    protected long getLast()

  Specified by:
    `getLast` in class `AbstractLongInterval`

### min

    public long min()

  Description copied from interface: `LongSet`
  The smallest number that can be stored in this set.

  Specified by:
    `min` in interface `LongSet`
  Overrides:
    `min` in class `AbstractLongInterval`

### max

    public long max()

  Description copied from interface: `LongSet`
  The largest number that can be stored in this set.

  Specified by:
    `max` in interface `LongSet`
  Overrides:
    `max` in class `AbstractLongInterval`

### subSet

    public LongSortedSet subSet(long first,
                                long last)

  Description copied from interface: `LongSortedSet`
  A subset view containing all elements from this set between first, inclusive, and last, inclusive. More precisely, the view is narrowed to the domain [min, max]. Hence, complement set of this set will NOT include any elements outside [min, max].

  Specified by:
    `subSet` in interface `LongSortedSet`
  Overrides:
    `subSet` in class `AbstractLongInterval`

### complementSet

    public LongSet complementSet()

  Description copied from interface: `LongSet`
  Returns a complement view of this set. Complement view is a set that has the same domain as this set, and consists of all numbers from the domain that are not contained in this set. Changes done to this set are reflected in the complement view after it is created.

  Specified by:
    `complementSet` in interface `LongSet`
  Overrides:
    `complementSet` in class `AbstractLongInterval`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD